WESNOTHD(6)

NAME
wesnothd - Battle for Wesnoth Mehrspielernetzwerkdaemon

ZUSAMMENFASSUNG
wesnothd [-dvV] [-c Pfad] [-p Port] [-t Nummer]

BESCHREIBUNG
Verwaltet Battle for Wesnoth Mehrspieler Partien. Siehe auf http://www.wesnoth.org/wiki/ServerAdministration für die Befehle, die der Server von Wesnoth oder über den Socket entgegen nimmt.

KOMMANDOZEILENOPTIONEN

-c, --config Pfad
    sagt wesnothd wo er die zu benutzende Konfigurationsdatei findet. Siehe im Abschnitt SERVER KONFIGURATION unterhalb für den genauen Syntax.

-d, --daemon
    started wesnothd als Dämon.

-h, --help
    Gibt die möglichen Kommandozeilenoptionen aus.

-p, --port Port
    bindet den Server an den angegebenen Port. Wenn kein Port angegeben ist, wird Port 15000 genommen.

-t, --threads WERT
    setzt die Anzahl der Threads für Netzwerk I/O auf n (Standard: 5, Max: 30).

-V, --version
    Zeigt die Versionsnummer an und beendet das Programm.

-v, --verbose
    aktiviert mehr Details in der Logausgabe.

SERVER KONFIGURATION

  Der allgemeine Syntax ist:

[Element]

    Schlüssel="Wert"

    Schlüssel="Wert,Wert,..."

[/Element]

  Globale Schlüssel:

connections_allowed
    Die Anzahl zulässiger Verbindungen von der gleichen IP Adresse.

disallow_names
    Namen/Spitznamen die der Server nicht akzeptiert. '*' und '?' sind als Platzhalter unterstützt. Siehe glob(7) für mehr Details. Standardwerte (wenn sonst nichts angegeben wurde) sind: 'server,ai,player,network,human,admin,computer'.

max_messages
    Die Anzahl der erlaubten Nachrichten in messages_time_period.

messages_time_period
    Der Zeitraum (in Sekunden) in dem "message flooding" erkannt wird.

motd
    Die "Nachricht des Tages".

passwd
    Das Passwort um auf dem Server Administratorrechte zu erhalten. Es beginnt per Konvention mit "admin ".

versions_accepted
    Eine durch Komma getrennte Liste der Programmversionen, die der Server zulässt. `*' und `?' sind erlaubt.
    Beispiel: versions_accepted="*" akzeptiert alle Versionen.

  Globale Elemente:

[redirect] Ein Element um bestimmte Programmversionen anzugeben, die auf einen anderen Server umgeleitet werden sollen.

    host
        Die Adresse des Rechners, zu dem umgeleitet wird.

    port
        Der dabei zu verwendende Port.

    version
        Eine durch Komma getrennte Liste der Versionen, die umgeleitet werden sollen. Verhält sich in Bezug auf Wildcards genauso wie versions_accepted.

[proxy] Ein Element, das benutzt wird um dem Server mitzuteilen, wie ein Proxy zu agieren und somit alle Anfragen des mit ihm verbundenen Rechners an den angegebenen Server weiterzuleiten. Es werden die gleichen Schlüssel wie bei [redirect] akzeptiert.

AUTOR
Geschrieben von David White <davidnwhite@verizon.net>. Bearbeitet von Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net>und Soliton <soliton@sonnenkinder.org>. Übersetzt von Jan-Heiner Laberenz <Jan-Heiner@arcor.de>, Nils Kneuper <crazy-ivanovic@gmx.net>und Soliton <soliton@sonnenkinder.org>. Diese Beschreibung stammt im Original von Cyril Bouthors <cyril@bouthors.org>.
Besuchen Sie auch die offizielle Webseite: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2006 David White <davidnwhite@verizon.net>
Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License, wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren, entweder gemäß Version 2 der Lizenz oder (nach Ihrer Option) jeder späteren Version. Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. Sie sollten eine Kopie der GNU General Public License zusammen mit diesem Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

ANDERE
wesnoth(6), wesnoth_editor(6)